Package com.databricks.jdbc.client.impl.thrift.generated

## Interface TCLIService.AsyncIface

All Known Implementing Classes:
  `TCLIService.AsyncClient`

Enclosing class:
  TCLIService

    public static interface TCLIService.AsyncIface

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `CancelDelegationToken​(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)`
`void` `CancelOperation​(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)`
`void` `CloseOperation​(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)`
`void` `CloseSession​(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)`
`void` `ExecuteStatement​(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)`
`void` `FetchResults​(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)`
`void` `GetCatalogs​(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`
`void` `GetColumns​(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
`void` `GetCrossReference​(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)`
`void` `GetDelegationToken​(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)`
`void` `GetFunctions​(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)`
`void` `GetInfo​(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)`
`void` `GetOperationStatus​(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`
`void` `GetPrimaryKeys​(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)`
`void` `GetResultSetMetadata​(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
`void` `GetSchemas​(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)`
`void` `GetTables​(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)`
`void` `GetTableTypes​(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)`
`void` `GetTypeInfo​(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
`void` `OpenSession​(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)`
`void` `RenewDelegationToken​(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`

### Method Detail

#### OpenSession

    void OpenSession​(TOpenSessionReq req,
                     org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### CloseSession

    void CloseSession​(TCloseSessionReq req,
                      org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetInfo

    void GetInfo​(TGetInfoReq req,
                 org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)
          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### ExecuteStatement

    void ExecuteStatement​(TExecuteStatementReq req,
                          org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetTypeInfo

    void GetTypeInfo​(TGetTypeInfoReq req,
                     org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetCatalogs

    void GetCatalogs​(TGetCatalogsReq req,
                     org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetSchemas

    void GetSchemas​(TGetSchemasReq req,
                    org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetTables

    void GetTables​(TGetTablesReq req,
                   org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)
            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetTableTypes

    void GetTableTypes​(TGetTableTypesReq req,
                       org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)
                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetColumns

    void GetColumns​(TGetColumnsReq req,
                    org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetFunctions

    void GetFunctions​(TGetFunctionsReq req,
                      org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetPrimaryKeys

    void GetPrimaryKeys​(TGetPrimaryKeysReq req,
                        org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetCrossReference

    void GetCrossReference​(TGetCrossReferenceReq req,
                           org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetOperationStatus

    void GetOperationStatus​(TGetOperationStatusReq req,
                            org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### CancelOperation

    void CancelOperation​(TCancelOperationReq req,
                         org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### CloseOperation

    void CloseOperation​(TCloseOperationReq req,
                        org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetResultSetMetadata

    void GetResultSetMetadata​(TGetResultSetMetadataReq req,
                              org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)
                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### FetchResults

    void FetchResults​(TFetchResultsReq req,
                      org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### GetDelegationToken

    void GetDelegationToken​(TGetDelegationTokenReq req,
                            org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### CancelDelegationToken

    void CancelDelegationToken​(TCancelDelegationTokenReq req,
                               org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)
                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### RenewDelegationToken

    void RenewDelegationToken​(TRenewDelegationTokenReq req,
                              org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)
                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`